org.apache.nutch.crawl

## Class WebTableReader.WebTableStatReducer

- java.lang.Object
- - org.apache.hadoop.mapreduce.Reducer<Text,LongWritable,Text,LongWritable>
  - - org.apache.nutch.crawl.WebTableReader.WebTableStatReducer

- Enclosing class:
    WebTableReader

      public static class WebTableReader.WebTableStatReducer
      extends Reducer<Text,LongWritable,Text,LongWritable>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.hadoop.mapreduce.Reducer

      `Reducer.Context`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WebTableStatReducer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `cleanup(Reducer.Context context)`
    `protected void` | `reduce(Text key, java.lang.Iterable<LongWritable> values, Reducer.Context context)`

    - ### Methods inherited from class org.apache.hadoop.mapreduce.Reducer

      `run, setup`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WebTableStatReducer

          public WebTableStatReducer()

  - ### Method Detail

    - #### cleanup

          public void cleanup(Reducer.Context context)

      Overrides:
        `cleanup` in class `Reducer<Text,LongWritable,Text,LongWritable>`

    - #### reduce

          protected void reduce(Text key,
                                java.lang.Iterable<LongWritable> values,
                                Reducer.Context context)
                         throws java.io.IOException,
                                java.lang.InterruptedException

      Overrides:
        `reduce` in class `Reducer<Text,LongWritable,Text,LongWritable>`
      Throws:
        `java.io.IOException`
        `java.lang.InterruptedException`

Copyright © 2019 The Apache Software Foundation